Retrieve all Explored Endpoints

View as Markdown
Retrieve explored endpoints discovered by Site Explorer for a Site. Use `ID_ASC` or `ID_DESC` to order by endpoint ID; the default is `ID_ASC`. The response is paged over Core `FindExploredEndpointIds` followed by `FindExploredEndpointsByIds`. Pagination metadata is returned in the `X-Pagination` response header. User must have authorization role with `PROVIDER_ADMIN` suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site
pageNumberintegerOptional
Page number of results returned
pageSizeintegerOptional
Number of results per page
orderByenumOptionalDefaults to ID_ASC
Order results by endpoint ID
Allowed values:

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

Explored endpoints for the Site
addressstring
BMC IP address used as the explored endpoint ID.
reportVersionstring

Version of the exploration report; increases when the report is updated.

explorationRequestedboolean
Whether the endpoint will be explored in the next Site Explorer run.
preingestionStatestring
Current preingestion state for the endpoint.
lastRedfishBmcResetstring
Last BMC Redfish reset time.
lastIpmitoolBmcResetstring
Last BMC IPMI tool reset time.
lastRedfishRebootstring
Last BMC Redfish reboot time.
lastRedfishPowercyclestring

Last BMC Redfish power-cycle time.

pauseRemediationboolean
When true, Site Explorer will not take remediation actions for Redfish errors.
reportobjectOptional
Data gathered about an endpoint during site exploration.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error
504
Gateway Timeout Error